[cairo-commit] 4 commits - autogen.sh build/Makefile.am.releasing configure.ac Makefile.am
Chris Wilson
ickle at kemper.freedesktop.org
Sat Apr 14 07:06:42 PDT 2012
Makefile.am | 2
autogen.sh | 194 +++-----------------------------------------
build/Makefile.am.releasing | 2
configure.ac | 22 +++-
4 files changed, 30 insertions(+), 190 deletions(-)
New commits:
commit 40d6c580cd029f3d330ba28a7728ff36498920cb
Author: Javier Jardón <jjardon at gnome.org>
Date: Tue Sep 13 16:30:10 2011 +0100
configure.ac: Do not generate template files when building docs
It's not needed as all the api documentation is inline
diff --git a/configure.ac b/configure.ac
index 72f6b13..b1f3c4b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -19,7 +19,7 @@ LT_PREREQ([2.2])
LT_INIT([win32-dll])
# Api documentation
-GTK_DOC_CHECK([1.6])
+GTK_DOC_CHECK([1.15],[--flavour no-tmpl])
AC_SYS_LARGEFILE
commit 7b25b2eb4b83f411935e51ed398cebfb3a9c3c59
Author: Javier Jardón <jjardon at gnome.org>
Date: Tue Sep 13 16:20:12 2011 +0100
autogen.sh: User autoreconf instead custom script
diff --git a/autogen.sh b/autogen.sh
index 10c2832..f085022 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,197 +1,31 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-set -e
-ARGV0=$0
-
-# Allow invocation from a separate build directory; in that case, we change
-# to the source directory to run the auto*, then change back before running configure
-srcdir=`dirname $ARGV0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
ORIGDIR=`pwd`
cd $srcdir
-PACKAGE=cairo
-
-LIBTOOLIZE_FLAGS="--copy --force --automake"
-ACLOCAL_FLAGS="-I build"
-AUTOHEADER=${AUTOHEADER-autoheader}
-GTKDOCIZE_FLAGS="--copy"
-GTKDOCIZE=${GTKDOCIZE-gtkdocize}
-AUTOMAKE_FLAGS="--add-missing --gnu -Wall"
-AUTOCONF=${AUTOCONF-autoconf}
-
-CONFIGURE_AC=
-test -f configure.ac && CONFIGURE_AC=configure.ac
-
-if test "X$CONFIGURE_AC" = X; then
- echo "$ARGV0: ERROR: No $srcdir/configure.in or $srcdir/configure.ac found."
- exit 1
-fi
-
-extract_version() {
- grep "^ *$1" "$CONFIGURE_AC" | sed 's/.*(\[*\([^])]*\)]*).*/\1/'
-}
-
-autoconf_min_vers=`extract_version AC_PREREQ`
-automake_min_vers=`extract_version AM_INIT_AUTOMAKE`
-libtoolize_min_vers=`extract_version AC_PROG_LIBTOOL`
-aclocal_min_vers=$automake_min_vers
-
-
-# Not all echo versions allow -n, so we check what is possible. This test is
-# based on the one in autoconf.
-case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
- *c*,-n*) ECHO_N= ;;
- *c*,* ) ECHO_N=-n ;;
- *) ECHO_N= ;;
-esac
-
-
-# some terminal codes ...
-boldface="`tput bold 2>/dev/null || true`"
-normal="`tput sgr0 2>/dev/null || true`"
-printbold() {
- echo $ECHO_N "$boldface"
- echo "$@"
- echo $ECHO_N "$normal"
-}
-printerr() {
- echo "$@" >&2
-}
-
-
-# Usage:
-# compare_versions MIN_VERSION ACTUAL_VERSION
-# returns true if ACTUAL_VERSION >= MIN_VERSION
-compare_versions() {
- ch_min_version=$1
- ch_actual_version=$2
- ch_status=0
- IFS="${IFS= }"; ch_save_IFS="$IFS"; IFS="."
- set $ch_actual_version
- for ch_min in $ch_min_version; do
- ch_cur=`echo $1 | sed 's/[^0-9].*$//'`; # remove letter suffixes
- if [ $# -gt 0 ]; then shift; fi
- if [ -z "$ch_min" ]; then break; fi
- if [ -z "$ch_cur" ]; then ch_status=1; break; fi
- if [ $ch_cur -gt $ch_min ]; then break; fi
- if [ $ch_cur -lt $ch_min ]; then ch_status=1; break; fi
- done
- IFS="$ch_save_IFS"
- return $ch_status
-}
-
-# Usage:
-# version_check PACKAGE VARIABLE CHECKPROGS MIN_VERSION SOURCE
-# checks to see if the package is available
-version_check() {
- vc_package=$1
- vc_variable=$2
- vc_checkprogs=$3
- vc_min_version=$4
- vc_source=$5
- vc_status=1
-
- vc_checkprog=`eval echo "\\$$vc_variable"`
- if [ -n "$vc_checkprog" ]; then
- printbold "using $vc_checkprog for $vc_package"
- return 0
- fi
-
- printbold "checking for $vc_package >= $vc_min_version..."
- for vc_checkprog in $vc_checkprogs; do
- echo $ECHO_N " testing $vc_checkprog... "
- if $vc_checkprog --version < /dev/null > /dev/null 2>&1; then
- vc_actual_version=`$vc_checkprog --version | head -n 1 | \
- sed 's/^.*[ ]\([0-9.]*[a-z]*\).*$/\1/'`
- if compare_versions $vc_min_version $vc_actual_version; then
- echo "found $vc_actual_version"
- # set variable
- eval "$vc_variable=$vc_checkprog"
- vc_status=0
- break
- else
- echo "too old (found version $vc_actual_version)"
- fi
- else
- echo "not found."
- fi
- done
- if [ "$vc_status" != 0 ]; then
- printerr "***Error***: You must have $vc_package >= $vc_min_version installed"
- printerr " to build $PROJECT. Download the appropriate package for"
- printerr " from your distribution or get the source tarball at"
- printerr " $vc_source"
- printerr
- fi
- return $vc_status
-}
-
-
-version_check autoconf AUTOCONF $AUTOCONF $autoconf_min_vers \
- "http://ftp.gnu.org/pub/gnu/autoconf/autoconf-${autoconf_min_vers}.tar.gz" || DIE=1
-
-#
-# Hunt for an appropriate version of automake and aclocal; we can't
-# assume that 'automake' is necessarily the most recent installed version
-#
-# We check automake first to allow it to be a newer version than we know about.
-#
-version_check automake AUTOMAKE "$AUTOMAKE automake automake-1.10 automake-1.9 automake-1.8 automake-1.7" $automake_min_vers \
- "http://ftp.gnu.org/pub/gnu/automake/automake-${automake_min_vers}.tar.gz" || DIE=1
-ACLOCAL=`echo $AUTOMAKE | sed s/automake/aclocal/`
-
-
-version_check libtool LIBTOOLIZE "$LIBTOOLIZE glibtoolize libtoolize" $libtoolize_min_vers \
- "http://ftp.gnu.org/pub/gnu/libtool/libtool-${libtool_min_vers}.tar.gz" || DIE=1
-
-if test -n "$DIE"; then
- exit 1
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
fi
-
-if test -z "$*"; then
- echo "$ARGV0: Note: \`./configure' will be run with no arguments."
- echo " If you wish to pass any to it, please specify them on the"
- echo " \`$0' command line."
- echo
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+ echo "*** No GTK-Doc found, please install it ***"
+ exit 1
fi
-do_cmd() {
- echo "$ARGV0: running \`$@'"
- $@
-}
-
-do_cmd $LIBTOOLIZE $LIBTOOLIZE_FLAGS
-
-do_cmd $ACLOCAL $ACLOCAL_FLAGS
-
-do_cmd $AUTOHEADER
-
# create dummy */Makefile.am.features and ChangeLog to make automake happy
> boilerplate/Makefile.am.features
> src/Makefile.am.features
touch ChangeLog
-# We don't call gtkdocize right now. When we do, we should then modify
-# the generated gtk-doc.make and move it to build/Makefile.am.gtk-doc.
-# See that file for details.
-#do_cmd $GTKDOCIZE $GTKDOCIZE_FLAGS
-
-do_cmd $AUTOMAKE $AUTOMAKE_FLAGS
+gtkdocize || exit $?
+autoreconf --force --install --verbose || exit $?
-do_cmd $AUTOCONF
-
-cd "$ORIGDIR" || exit 1
-
-rm -f config.cache
-
-if test -z "$NOCONFIGURE"; then
- do_cmd $srcdir/configure \
- --cache-file=config.cache \
- --disable-static \
- --enable-test-surfaces \
- ${1+"$@"} && echo "Now type \`make' to compile $PROJECT." || exit 1
-fi
+cd $ORIGDIR
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
commit aa90a8f84f7dff67d57a8c0863331bf04e3b546e
Author: Javier Jardón <jjardon at gnome.org>
Date: Tue Sep 13 16:15:49 2011 +0100
configure.ac: generate xz tarballs by default
diff --git a/build/Makefile.am.releasing b/build/Makefile.am.releasing
index 3ac479a..b17faab 100644
--- a/build/Makefile.am.releasing
+++ b/build/Makefile.am.releasing
@@ -38,7 +38,7 @@ MANUAL_VERSIONED = manual-$(VERSION)
MANUAL_TAR_FILE = $(MANUAL_VERSIONED).tar.gz
MANUAL_UPLOAD_DIR = $(RELEASE_UPLOAD_BASE)
-tar_file = $(PACKAGE)-$(VERSION).tar.gz
+tar_file = $(PACKAGE)-$(VERSION).tar.xz
sha1_file = $(tar_file).sha1
gpg_file = $(sha1_file).asc
diff --git a/configure.ac b/configure.ac
index 824bc79..72f6b13 100644
--- a/configure.ac
+++ b/configure.ac
@@ -11,8 +11,8 @@ AC_USE_SYSTEM_EXTENSIONS
AC_CONFIG_SRCDIR(src/cairo.h)
AC_CONFIG_HEADERS(config.h)
-AM_INIT_AUTOMAKE([1.9.6 gnu -Wall no-define])
-m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
+AM_INIT_AUTOMAKE([1.11 -Wall no-define no-dist-gzip dist-xz])
+AM_SILENT_RULES([yes])
# Initialize libtool
LT_PREREQ([2.2])
commit 3616a5f992e6d12fc7f005b7b67ab2101d248470
Author: Javier Jardón <jjardon at gnome.org>
Date: Tue Sep 13 16:13:41 2011 +0100
configure.ac: Update autotools configuration
Do not use autoconf deprecated macros
Use new libtool syntax
honor aclocal flags
diff --git a/Makefile.am b/Makefile.am
index e7f59d9..03fa352 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -14,7 +14,7 @@ EXTRA_DIST += \
# $(srcdir)/build/Makefile.win32.features-h \
# $(NULL)
-ACLOCAL_AMFLAGS = -I build
+ACLOCAL_AMFLAGS = -I build ${ACLOCAL_FLAGS}
DIST_SUBDIRS = src doc util boilerplate test perf
SUBDIRS = src doc util
diff --git a/configure.ac b/configure.ac
index 5d2e6ec..824bc79 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,18 +1,24 @@
-AC_PREREQ(2.59)
+AC_PREREQ([2.63])
CAIRO_PARSE_VERSION
AC_INIT([cairo],
[cairo_version_major.cairo_version_minor.cairo_version_micro],
- [http://bugs.freedesktop.org/enter_bug.cgi?product=cairo])
+ [http://bugs.freedesktop.org/enter_bug.cgi?product=cairo],
+ [cairo],
+ [http://cairographics.org/])
AC_CONFIG_AUX_DIR(build)
AC_CONFIG_MACRO_DIR(build)
-AC_GNU_SOURCE
AC_USE_SYSTEM_EXTENSIONS
AC_CONFIG_SRCDIR(src/cairo.h)
AC_CONFIG_HEADERS(config.h)
+
AM_INIT_AUTOMAKE([1.9.6 gnu -Wall no-define])
m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
-AC_LIBTOOL_WIN32_DLL dnl Must be called before AC_PROG_LIBTOOL
-AC_PROG_LIBTOOL dnl ([1.4]) Don't remove!
+
+# Initialize libtool
+LT_PREREQ([2.2])
+LT_INIT([win32-dll])
+
+# Api documentation
GTK_DOC_CHECK([1.6])
AC_SYS_LARGEFILE
More information about the cairo-commit
mailing list